Block Storage(BM)
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Block Storage(BM) service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | DEPRECATED | 20251231 |
| 1.1 | DEPRECATED | 20260331 |
| 1.2 | CURRENT | - |
OpenAPI URL
https://baremetal-blockstorage.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - Add Volume Group Member on Volume Group
1.1.1 - 1.2
put /v1/volume-groups/{volume_group_id}/members/add
Description
Add Volume Group Member on Volume Group.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupMemberRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupMemberResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/members/add
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"volume_ids": [
"13666d6c32d4456e8421f7768d0bf225"
]
}
Example HTTP response
Response 200
{
"id": "c9ecae8b973b425c81c3817893cd8063",
"member_volumes": [
{
"disk_type": "SSD",
"id": "92cd16fe8ebc4f73832513a172bf0000",
"name": "volume-01",
"purpose": "ORG",
"size_gb": 10,
"so_volume_id": "",
"so_volume_name": ""
}
]
}
1.1.2 - 1.1
put /v1/volume-groups/{volume_group_id}/members/add
Description
Add Volume Group Member on Volume Group.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupMemberRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupMemberResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/members/add
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"volume_ids": [
"13666d6c32d4456e8421f7768d0bf225"
]
}
Example HTTP response
Response 200
{
"id": "c9ecae8b973b425c81c3817893cd8063",
"member_volumes": [
{
"disk_type": "SSD",
"id": "92cd16fe8ebc4f73832513a172bf0000",
"name": "volume-01",
"purpose": "ORG",
"size_gb": 10,
"so_volume_id": "",
"so_volume_name": ""
}
]
}
1.1.3 - 1.0
put /v1/volume-groups/{volume_group_id}/members/add
Description
Add Volume Group Member on Volume Group.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupMemberRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupMemberResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/members/add
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"volume_ids": [
"13666d6c32d4456e8421f7768d0bf225"
]
}
Example HTTP response
Response 200
{
"id": "c9ecae8b973b425c81c3817893cd8063",
"member_volumes": [
{
"disk_type": "SSD",
"id": "92cd16fe8ebc4f73832513a172bf0000",
"name": "volume-01",
"purpose": "ORG",
"size_gb": 10,
"so_volume_id": "",
"so_volume_name": ""
}
]
}
1.2 - Attach Volume
1.2.1 - 1.2
post /v1/volumes/{volume_id}/attachments
Description
Attach Volume to servers.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeAttachmentRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeAttachmentResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/attachments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
]
}
Example HTTP response
Response 200
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
]
}
1.2.2 - 1.1
post /v1/volumes/{volume_id}/attachments
Description
Attach Volume to servers.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeAttachmentRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/attachments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
]
}
Example HTTP response
Response 200
{
"result": {
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"image_name": "RHEL 8.8 for BM",
"name": "baremetal-01",
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "RUNNING",
"type": "BM"
}
],
"created_at": "2024-08-01T07:06:23.315Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"external_errors": [
{
"code": "Forbidden",
"object_type": "BM",
"status": 403
}
],
"has_origin": true,
"has_replication": true,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_encryption": true,
"iscsi_target_ips": [
"172.30.4.3",
"172.30.4.4"
],
"modified_at": "2024-08-01T07:06:25.315Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"previous_state": "CREATING",
"purpose": "ORG",
"recovery": {
"origin_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
},
"recovery_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
}
},
"size_gb": 10,
"snapshot_rate": 100,
"snapshot_schedule": {
"day_of_week": "MON",
"frequency": "DAILY",
"hour": 18
},
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "CREATING",
"storage_volume_name": "vo202407310544da8aadc775f",
"volume_group": {
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "vg-01"
}
}
}
1.2.3 - 1.0
post /v1/volumes/{volume_id}/attachments
Description
Attach Volume to servers.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeAttachmentRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/attachments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
]
}
Example HTTP response
Response 200
{
"result": {
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"image_name": "RHEL 8.8 for BM",
"name": "baremetal-01",
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "RUNNING",
"type": "BM"
}
],
"created_at": "2024-08-01T07:06:23.315Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"external_errors": [
{
"code": "Forbidden",
"object_type": "BM",
"status": 403
}
],
"has_origin": true,
"has_replication": true,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_encryption": true,
"iscsi_target_ips": [
"172.30.4.3",
"172.30.4.4"
],
"modified_at": "2024-08-01T07:06:25.315Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"previous_state": "CREATING",
"purpose": "ORG",
"recovery": {
"origin_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
},
"recovery_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
}
},
"size_gb": 10,
"snapshot_rate": 100,
"snapshot_schedule": {
"day_of_week": "MON",
"frequency": "DAILY",
"hour": 18
},
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "CREATING",
"storage_volume_name": "vo202407310544da8aadc775f",
"volume_group": {
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "vg-01"
}
}
}
1.3 - Create Volume
1.3.1 - 1.2
post /v1/volumes
Description
Create Volume.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
],
"disk_type": "SSD",
"name": "bs-01",
"qos": {
"iops": 3000,
"throughput": 125
},
"size_gb": 10,
"tags": [
{
"key": "my_tag_1",
"value": "my_value_1"
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.3.2 - 1.1
post /v1/volumes
Description
Create Volume.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
],
"disk_type": "SSD",
"name": "bs-01",
"size_gb": 10,
"tags": [
{
"key": "my_tag_1",
"value": "my_value_1"
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.3.3 - 1.0
post /v1/volumes
Description
Create Volume.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
],
"disk_type": "SSD",
"name": "bs-01",
"size_gb": 10,
"tags": [
{
"key": "my_tag_1",
"value": "my_value_1"
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.4 - Create Volume Group
1.4.1 - 1.2
post /v1/volume-groups
Description
Create Volume Group
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"name": "vg-01",
"tags": [
{
"key": "my_tag_1",
"value": "my_value_1"
}
],
"volume_ids": [
"17e0b4fd27784dfb843440ec08bdd148"
]
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.4.2 - 1.1
post /v1/volume-groups
Description
Create Volume Group
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"name": "vg-01",
"tags": [
{
"key": "my_tag_1",
"value": "my_value_1"
}
],
"volume_ids": [
"17e0b4fd27784dfb843440ec08bdd148"
]
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.4.3 - 1.0
post /v1/volume-groups
Description
Create Volume Group
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"name": "vg-01",
"tags": [
{
"key": "my_tag_1",
"value": "my_value_1"
}
],
"volume_ids": [
"17e0b4fd27784dfb843440ec08bdd148"
]
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.5 - Create Volume Group Recovery
1.5.1 - 1.2
post /v1/volume-groups/{volume_group_id}/recoveries
Description
Create Volume Group Recovery.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupRecoveryCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/recoveries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"block_storage_name_prefix": "prefix-",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.5.2 - 1.1
post /v1/volume-groups/{volume_group_id}/recoveries
Description
Create Volume Group Recovery.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupRecoveryCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/recoveries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"block_storage_name_prefix": "prefix-",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.6 - Create Volume Group Replication
1.6.1 - 1.2
post /v1/volume-groups/{volume_group_id}/replications
Description
Create Volume Group Replication.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupReplicationCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"cycle": "5MIN",
"name": "replica-vg-01",
"region": "kr-west1",
"replication_volume_name_prefix": "dr"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.6.2 - 1.1
post /v1/volume-groups/{volume_group_id}/replications
Description
Create Volume Group Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupReplicationCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"cycle": "5MIN",
"name": "replica-vg-01",
"region": "kr-west1",
"replication_volume_name_prefix": "dr"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.6.3 - 1.0
post /v1/volume-groups/{volume_group_id}/replications
Description
Create Volume Group Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupReplicationCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"cycle": "5MIN",
"name": "replica-vg-01",
"region": "kr-west1",
"replication_volume_name_prefix": "dr"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.7 - Create Volume Group Snapshot
1.7.1 - 1.2
post /v1/volume-groups/{volume_group_id}/snapshots
Description
Create Volume Group Snapshot
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"snapshot_name": "vo240812063154d4a6abf418e___snapshot-create-bm-blockstorage.2024-08-13_141932",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.7.2 - 1.1
post /v1/volume-groups/{volume_group_id}/snapshots
Description
Create Volume Group Snapshot
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"snapshot_name": "vo240812063154d4a6abf418e___snapshot-create-bm-blockstorage.2024-08-13_141932",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.7.3 - 1.0
post /v1/volume-groups/{volume_group_id}/snapshots
Description
Create Volume Group Snapshot
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"snapshot_name": "vo240812063154d4a6abf418e___snapshot-create-bm-blockstorage.2024-08-13_141932",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.8 - Create Volume Group Snapshot Schedule
1.8.1 - 1.2
post /v1/volume-groups/{volume_group_id}/snapshot-schedules
Description
Create Volume Group Snapshot Schedule.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupSnapshotScheduleRequest | |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"day_of_week": "SUN",
"hour": 18
}
Example HTTP response
Response 200
{
"day_of_week": "SUN",
"frequency": "DAILY",
"hour": 18,
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.8.2 - 1.1
post /v1/volume-groups/{volume_group_id}/snapshot-schedules
Description
Create Volume Group Snapshot Schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupSnapshotScheduleRequest | |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"day_of_week": "SUN",
"hour": 18
}
Example HTTP response
Response 200
{
"day_of_week": "SUN",
"frequency": "DAILY",
"hour": 18,
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.8.3 - 1.0
post /v1/volume-groups/{volume_group_id}/snapshot-schedules
Description
Create Volume Group Snapshot Schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupSnapshotScheduleRequest | |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"day_of_week": "SUN",
"hour": 18
}
Example HTTP response
Response 200
{
"day_of_week": "SUN",
"frequency": "DAILY",
"hour": 18,
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.9 - Create Volume Recovery
1.9.1 - 1.2
post /v1/volumes/{volume_id}/recoveries
Description
Create Volume Recovery.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeRecoveryCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/recoveries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"name": "recovery-volume",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.9.2 - 1.1
post /v1/volumes/{volume_id}/recoveries
Description
Create Volume Recovery.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeRecoveryCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/recoveries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"name": "recovery-volume",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.10 - Create Volume Replication
1.10.1 - 1.2
post /v1/volumes/{volume_id}/replications
Description
Create Volume Replication.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeReplicationCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"cycle": "5MIN",
"name": "replica-bs-01",
"region": "kr-west1"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.10.2 - 1.1
post /v1/volumes/{volume_id}/replications
Description
Create Volume Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeReplicationCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"cycle": "5MIN",
"name": "replica-bs-01",
"region": "kr-west1"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.10.3 - 1.0
post /v1/volumes/{volume_id}/replications
Description
Create Volume Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeReplicationCreateRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"cycle": "5MIN",
"name": "replica-bs-01",
"region": "kr-west1"
}
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.11 - Create Volume Snapshot
1.11.1 - 1.2
post /v1/volumes/{volume_id}/snapshots
Description
Create Volume snapshot.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeSnapshotResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"snapshot_name": "vo240812063154d4a6abf418e___snapshot-create-bm-blockstorage.2024-08-13_141932",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.11.2 - 1.1
post /v1/volumes/{volume_id}/snapshots
Description
Create Volume snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeSnapshotResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"snapshot_name": "vo240812063154d4a6abf418e___snapshot-create-bm-blockstorage.2024-08-13_141932",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.11.3 - 1.0
post /v1/volumes/{volume_id}/snapshots
Description
Create Volume snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeSnapshotResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"snapshot_name": "vo240812063154d4a6abf418e___snapshot-create-bm-blockstorage.2024-08-13_141932",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.12 - Create Volume Snapshot Rate
1.12.1 - 1.2
post /v1/volumes/{volume_id}/snapshot-rates
Description
Create Volume snapshot rate.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeSnapshotRateRequest | |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-rates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
Example HTTP response
Response 200
{
"is_snapshot_activated": true,
"snapshot_rate": 100,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.12.2 - 1.1
post /v1/volumes/{volume_id}/snapshot-rates
Description
Create Volume snapshot rate.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeSnapshotRateRequest | |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-rates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
Example HTTP response
Response 200
{
"is_snapshot_activated": true,
"snapshot_rate": 100,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.12.3 - 1.0
post /v1/volumes/{volume_id}/snapshot-rates
Description
Create Volume snapshot rate.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeSnapshotRateRequest | |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-rates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
Example HTTP response
Response 200
{
"is_snapshot_activated": true,
"snapshot_rate": 100,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.13 - Create Volume Snapshot Schedule
1.13.1 - 1.2
post /v1/volumes/{volume_id}/snapshot-schedules
Description
Create Volume snapshot schedule.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeSnapshotScheduleRequest | |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"day_of_week": "SUN",
"hour": 18
}
Example HTTP response
Response 200
{
"day_of_week": "",
"frequency": "DAILY",
"hour": 18,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.13.2 - 1.1
post /v1/volumes/{volume_id}/snapshot-schedules
Description
Create Volume snapshot schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeSnapshotScheduleRequest | |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"day_of_week": "SUN",
"hour": 18
}
Example HTTP response
Response 200
{
"day_of_week": "",
"frequency": "DAILY",
"hour": 18,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.13.3 - 1.0
post /v1/volumes/{volume_id}/snapshot-schedules
Description
Create Volume snapshot schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeSnapshotScheduleRequest | |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"day_of_week": "SUN",
"hour": 18
}
Example HTTP response
Response 200
{
"day_of_week": "",
"frequency": "DAILY",
"hour": 18,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.14 - Delete Volume
1.14.1 - 1.2
delete /v1/volumes/{volume_id}
Description
Delete Volume.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.14.2 - 1.1
delete /v1/volumes/{volume_id}
Description
Delete Volume.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.14.3 - 1.0
delete /v1/volumes/{volume_id}
Description
Delete Volume.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.15 - Delete Volume Group Replication
1.15.1 - 1.2
delete /v1/volume-groups/{volume_group_id}/replications
Description
Delete Volume Group Replication.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
1.15.2 - 1.1
delete /v1/volume-groups/{volume_group_id}/replications
Description
Delete Volume Group Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
1.15.3 - 1.0
delete /v1/volume-groups/{volume_group_id}/replications
Description
Delete Volume Group Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
1.16 - Delete Volume Group Snapshot
1.16.1 - 1.2
delete /v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}
Description
Delete Volume Group snapshot.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.16.2 - 1.1
delete /v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}
Description
Delete Volume Group snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.16.3 - 1.0
delete /v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}
Description
Delete Volume Group snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.17 - Delete Volume Group Snapshot Schedule
1.17.1 - 1.2
delete /v1/volume-groups/{volume_group_id}/snapshot-schedules
Description
Delete Volume Group Snapshot Schedule.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"day_of_week": "SUN",
"frequency": "DAILY",
"hour": 18,
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.17.2 - 1.1
delete /v1/volume-groups/{volume_group_id}/snapshot-schedules
Description
Delete Volume Group Snapshot Schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"day_of_week": "SUN",
"frequency": "DAILY",
"hour": 18,
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.17.3 - 1.0
delete /v1/volume-groups/{volume_group_id}/snapshot-schedules
Description
Delete Volume Group Snapshot Schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"day_of_week": "SUN",
"frequency": "DAILY",
"hour": 18,
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.18 - Delete Volume Replication
1.18.1 - 1.2
delete /v1/volumes/{volume_id}/replications
Description
Delete Volume Replication.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.18.2 - 1.1
delete /v1/volumes/{volume_id}/replications
Description
Delete Volume Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.18.3 - 1.0
delete /v1/volumes/{volume_id}/replications
Description
Delete Volume Replication.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/replications
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 202
{
"request_id": "req-0006064c-c008-458c-8977-19671c6b32d4",
"resource_id": "8bf55e738d4e44b5a21dbe133a42ecbe"
}
1.19 - Delete Volume Snapshot
1.19.1 - 1.2
delete /v1/volumes/{volume_id}/snapshots/{snapshot_id}
Description
Delete Volume snapshot.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots/{snapshot_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.19.2 - 1.1
delete /v1/volumes/{volume_id}/snapshots/{snapshot_id}
Description
Delete Volume snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots/{snapshot_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.19.3 - 1.0
delete /v1/volumes/{volume_id}/snapshots/{snapshot_id}
Description
Delete Volume snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots/{snapshot_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.20 - Delete Volume Snapshot Rate
1.20.1 - 1.2
delete /v1/volumes/{volume_id}/snapshot-rates
Description
Delete Volume snapshot rate.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-rates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"is_snapshot_activated": true,
"snapshot_rate": 100,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.20.2 - 1.1
delete /v1/volumes/{volume_id}/snapshot-rates
Description
Delete Volume snapshot rate.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-rates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"is_snapshot_activated": true,
"snapshot_rate": 100,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.20.3 - 1.0
delete /v1/volumes/{volume_id}/snapshot-rates
Description
Delete Volume snapshot rate.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-rates
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"is_snapshot_activated": true,
"snapshot_rate": 100,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.21 - Delete Volume Snapshot Schedule
1.21.1 - 1.2
delete /v1/volumes/{volume_id}/snapshot-schedules
Description
Delete Volume snapshot schedule.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"day_of_week": "",
"frequency": "DAILY",
"hour": 18,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.21.2 - 1.1
delete /v1/volumes/{volume_id}/snapshot-schedules
Description
Delete Volume snapshot schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"day_of_week": "",
"frequency": "DAILY",
"hour": 18,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.21.3 - 1.0
delete /v1/volumes/{volume_id}/snapshot-schedules
Description
Delete Volume snapshot schedule.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshot-schedules
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"day_of_week": "",
"frequency": "DAILY",
"hour": 18,
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.22 - Detach Volume
1.22.1 - 1.2
delete /v1/volumes/{volume_id}/attachments
Description
Detach Volume from servers.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeDetachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeAttachmentResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/attachments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"attachments": [
""
]
}
Example HTTP response
Response 200
{
"attachments": [
{
"object_id": "83c3c73d457345e3829ee6d5557c0016",
"object_type": "BM"
}
]
}
1.22.2 - 1.1
delete /v1/volumes/{volume_id}/attachments
Description
Detach Volume from servers.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeDetachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/attachments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"attachments": [
""
]
}
Example HTTP response
Response 200
{
"result": {
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"image_name": "RHEL 8.8 for BM",
"name": "baremetal-01",
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "RUNNING",
"type": "BM"
}
],
"created_at": "2024-08-01T07:06:23.315Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"external_errors": [
{
"code": "Forbidden",
"object_type": "BM",
"status": 403
}
],
"has_origin": true,
"has_replication": true,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_encryption": true,
"iscsi_target_ips": [
"172.30.4.3",
"172.30.4.4"
],
"modified_at": "2024-08-01T07:06:25.315Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"previous_state": "CREATING",
"purpose": "ORG",
"recovery": {
"origin_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
},
"recovery_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
}
},
"size_gb": 10,
"snapshot_rate": 100,
"snapshot_schedule": {
"day_of_week": "MON",
"frequency": "DAILY",
"hour": 18
},
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "CREATING",
"storage_volume_name": "vo202407310544da8aadc775f",
"volume_group": {
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "vg-01"
}
}
}
1.22.3 - 1.0
delete /v1/volumes/{volume_id}/attachments
Description
Detach Volume from servers.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| body | body required |
| VolumeDetachRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/attachments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"attachments": [
""
]
}
Example HTTP response
Response 200
{
"result": {
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"image_name": "RHEL 8.8 for BM",
"name": "baremetal-01",
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "RUNNING",
"type": "BM"
}
],
"created_at": "2024-08-01T07:06:23.315Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"external_errors": [
{
"code": "Forbidden",
"object_type": "BM",
"status": 403
}
],
"has_origin": true,
"has_replication": true,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_encryption": true,
"iscsi_target_ips": [
"172.30.4.3",
"172.30.4.4"
],
"modified_at": "2024-08-01T07:06:25.315Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"previous_state": "CREATING",
"purpose": "ORG",
"recovery": {
"origin_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
},
"recovery_volume": {
"attachments": [
{
"id": "83c3c73d457345e3829ee6d5557c0011",
"type": "BM"
}
],
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "bs-01"
}
},
"size_gb": 10,
"snapshot_rate": 100,
"snapshot_schedule": {
"day_of_week": "MON",
"frequency": "DAILY",
"hour": 18
},
"srn": "srn:dev2::36827d9b643f46c2ae6bb7e63d633bfe:kr-west1::baremetal-blockstorage:volume/97cd36e3c1984c8cad3ec193aeda25e0",
"state": "CREATING",
"storage_volume_name": "vo202407310544da8aadc775f",
"volume_group": {
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"name": "vg-01"
}
}
}
1.23 - List Volume Group Snapshots
1.23.1 - 1.2
get /v1/volume-groups/{volume_group_id}/snapshots
Description
Get a list of Volume Group snapshots.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"is_snapshot_policy": false,
"snapshots": [],
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.23.2 - 1.1
get /v1/volume-groups/{volume_group_id}/snapshots
Description
Get a list of Volume Group snapshots.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"is_snapshot_policy": false,
"snapshots": [],
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.23.3 - 1.0
get /v1/volume-groups/{volume_group_id}/snapshots
Description
Get a list of Volume Group snapshots.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"is_snapshot_policy": false,
"snapshots": [],
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.24 - List Volume Groups
1.24.1 - 1.2
get /v1/volume-groups
Description
Get a list of Volume Groups.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | limit optional | Number to be displayed on the page Example : 20
| integer | 20 |
| query | offset optional | Offset Example : 0
| integer | 0 |
| query | sort optional | Sort Example : column1:asc,column2:desc
| string | None |
| query | name optional | Volume group name Example : vg-01
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"total_count": 1,
"volume_groups": [
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"created_at": "2024-08-01T07:06:23.315Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"id": "c9ecae8b973b425c81c3817893cd8063",
"modified_at": "2024-08-01T07:06:25.315Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "vg-01",
"num_of_block_storages": 2,
"purpose": "ORG",
"state": "CREATING"
}
]
}
1.24.2 - 1.1
get /v1/volume-groups
Description
Get a list of Volume Groups.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | limit optional | Number to be displayed on the page Example : 20
| integer | 20 |
| query | offset optional | Offset Example : 0
| integer | 0 |
| query | sort optional | Sort Example : column1:asc,column2:desc
| string | None |
| query | name optional | Volume group name Example : vg-01
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"total_count": 1,
"volume_groups": [
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"created_at": "2024-08-01T07:06:23.315Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"id": "c9ecae8b973b425c81c3817893cd8063",
"modified_at": "2024-08-01T07:06:25.315Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "vg-01",
"num_of_block_storages": 2,
"purpose": "ORG",
"state": "CREATING"
}
]
}
1.24.3 - 1.0
get /v1/volume-groups
Description
Get a list of Volume Groups.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | limit optional | Number to be displayed on the page Example : 20
| integer | 20 |
| query | offset optional | Offset Example : 0
| integer | 0 |
| query | sort optional | Sort Example : column1:asc,column2:desc
| string | None |
| query | name optional | Volume group name Example : vg-01
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"total_count": 1,
"volume_groups": [
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"created_at": "2024-08-01T07:06:23.315Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"id": "c9ecae8b973b425c81c3817893cd8063",
"modified_at": "2024-08-01T07:06:25.315Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "vg-01",
"num_of_block_storages": 2,
"purpose": "ORG",
"state": "CREATING"
}
]
}
1.25 - List Volume Snapshots
1.25.1 - 1.2
get /v1/volumes/{volume_id}/snapshots
Description
Get a list of Volume snapshots.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"is_snapshot_policy": false,
"snapshot_capacity_mb": 0,
"snapshot_capacity_rate": 0,
"snapshot_total_usage": 0,
"snapshots": [],
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.25.2 - 1.1
get /v1/volumes/{volume_id}/snapshots
Description
Get a list of Volume snapshots.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"is_snapshot_policy": false,
"snapshot_capacity_mb": 0,
"snapshot_capacity_rate": 0,
"snapshot_total_usage": 0,
"snapshots": [],
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.25.3 - 1.0
get /v1/volumes/{volume_id}/snapshots
Description
Get a list of Volume snapshots.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"is_snapshot_policy": false,
"snapshot_capacity_mb": 0,
"snapshot_capacity_rate": 0,
"snapshot_total_usage": 0,
"snapshots": [],
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.26 - List Volumes
1.26.1 - 1.2
get /v1/volumes
Description
Get a list of Volumes.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | limit optional | Number to be displayed on the page Example : 20
| integer | 20 |
| query | offset optional | Offset Example : 0
| integer | 0 |
| query | sort optional | Sort Example : column1:asc,column2:desc
| string | None |
| query | name optional | Volume name Example : bs-01
| string | None |
| query | object_name optional | Attached server name Example : baremetal-server-name
| string | None |
| query | volume_group_name optional | Volume group name Example : vg-01
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"total_count": 1,
"volumes": [
{
"attachments": [
{
"id": "d7682135392e42489948c189e29011cc",
"name": "baremetal-01"
}
],
"created_at": "2026-02-11T06:40:47.633Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"has_relation": false,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_in_volume_group": false,
"is_snapshot_activated": true,
"iscsi_target_ips": {
"description": "List of iscsi ips",
"example": [
"172.30.4.3",
"172.30.4.4"
]
},
"modified_at": "2026-02-11T06:40:47.633Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"purpose": "ORG",
"size_gb": 10,
"state": "CREATING",
"volume_group": ""
}
]
}
1.26.2 - 1.1
get /v1/volumes
Description
Get a list of Volumes.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | limit optional | Number to be displayed on the page Example : 20
| integer | 20 |
| query | offset optional | Offset Example : 0
| integer | 0 |
| query | sort optional | Sort Example : column1:asc,column2:desc
| string | None |
| query | name optional | Volume name Example : bs-01
| string | None |
| query | object_name optional | Attached server name Example : baremetal-server-name
| string | None |
| query | volume_group_name optional | Volume group name Example : vg-01
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"total_count": 1,
"volumes": [
{
"attachments": [
{
"id": "d7682135392e42489948c189e29011cc",
"name": "baremetal-01"
}
],
"created_at": "2026-02-11T06:40:46.871Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"has_relation": false,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_in_volume_group": false,
"is_snapshot_activated": true,
"iscsi_target_ips": {
"description": "List of iscsi ips",
"example": [
"172.30.4.3",
"172.30.4.4"
]
},
"modified_at": "2026-02-11T06:40:46.871Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"purpose": "ORG",
"size_gb": 10,
"state": "CREATING",
"volume_group": ""
}
]
}
1.26.3 - 1.0
get /v1/volumes
Description
Get a list of Volumes.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | limit optional | Number to be displayed on the page Example : 20
| integer | 20 |
| query | offset optional | Offset Example : 0
| integer | 0 |
| query | sort optional | Sort Example : column1:asc,column2:desc
| string | None |
| query | name optional | Volume name Example : bs-01
| string | None |
| query | object_name optional | Attached server name Example : baremetal-server-name
| string | None |
| query | volume_group_name optional | Volume group name Example : vg-01
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"total_count": 1,
"volumes": [
{
"attachments": [
{
"id": "d7682135392e42489948c189e29011cc",
"name": "baremetal-01"
}
],
"created_at": "2026-02-11T06:40:46.157Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"has_relation": false,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_in_volume_group": false,
"is_snapshot_activated": true,
"iscsi_target_ips": {
"description": "List of iscsi ips",
"example": [
"172.30.4.3",
"172.30.4.4"
]
},
"modified_at": "2026-02-11T06:40:46.157Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"purpose": "ORG",
"size_gb": 10,
"state": "CREATING",
"volume_group": ""
}
]
}
1.27 - Remove Volume Group Member on Volume Group
1.27.1 - 1.2
put /v1/volume-groups/{volume_group_id}/members/remove
Description
Remove Volume Group Member on Volume Group.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupMemberRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupMemberResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/members/remove
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
{
"volume_ids": [
"13666d6c32d4456e8421f7768d0bf225"
]
}
Example HTTP response
Response 200
{
"id": "c9ecae8b973b425c81c3817893cd8063",
"member_volumes": [
{
"disk_type": "SSD",
"id": "92cd16fe8ebc4f73832513a172bf0000",
"name": "volume-01",
"purpose": "ORG",
"size_gb": 10,
"so_volume_id": "",
"so_volume_name": ""
}
]
}
1.27.2 - 1.1
put /v1/volume-groups/{volume_group_id}/members/remove
Description
Remove Volume Group Member on Volume Group.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupMemberRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupMemberResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/members/remove
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
{
"volume_ids": [
"13666d6c32d4456e8421f7768d0bf225"
]
}
Example HTTP response
Response 200
{
"id": "c9ecae8b973b425c81c3817893cd8063",
"member_volumes": [
{
"disk_type": "SSD",
"id": "92cd16fe8ebc4f73832513a172bf0000",
"name": "volume-01",
"purpose": "ORG",
"size_gb": 10,
"so_volume_id": "",
"so_volume_name": ""
}
]
}
1.27.3 - 1.0
put /v1/volume-groups/{volume_group_id}/members/remove
Description
Remove Volume Group Member on Volume Group.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| body | body required |
| VolumeGroupMemberRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VolumeGroupMemberResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/members/remove
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
{
"volume_ids": [
"13666d6c32d4456e8421f7768d0bf225"
]
}
Example HTTP response
Response 200
{
"id": "c9ecae8b973b425c81c3817893cd8063",
"member_volumes": [
{
"disk_type": "SSD",
"id": "92cd16fe8ebc4f73832513a172bf0000",
"name": "volume-01",
"purpose": "ORG",
"size_gb": 10,
"so_volume_id": "",
"so_volume_name": ""
}
]
}
1.28 - Restore Volume Group Snapshot
1.28.1 - 1.2
put /v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}/restore
Description
Restore Volume Group snapshot.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.28.2 - 1.1
put /v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}/restore
Description
Restore Volume Group snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.28.3 - 1.0
put /v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}/restore
Description
Restore Volume Group snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_group_id required | Volume group id Example : c9ecae8b973b425c81c3817893cd8063
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/snapshots/{snapshot_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.29 - Restore Volume Snapshot
1.29.1 - 1.2
put /v1/volumes/{volume_id}/snapshots/{snapshot_id}/restore
Description
Restore Volume from snapshot.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots/{snapshot_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.29.2 - 1.1
put /v1/volumes/{volume_id}/snapshots/{snapshot_id}/restore
Description
Restore Volume from snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots/{snapshot_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.29.3 - 1.0
put /v1/volumes/{volume_id}/snapshots/{snapshot_id}/restore
Description
Restore Volume from snapshot.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | volume_id required | Volume id Example : 92cd16fe8ebc4f73832513a172bf0000
| string | None |
| path | snapshot_id required | Snapshot id Example : 05600123-6e78-11f0-a3f0-d039eab8d501
| string | None |
Responses
Example HTTP request
Request path
/v1/volumes/{volume_id}/snapshots/{snapshot_id}/restore
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Example HTTP response
Response 200
{
"account_id": "36827d9b643f46c2ae6bb7e63d633bfe",
"snapshot_id": "05600123-6e78-11f0-a3f0-d039eab8d501",
"volume_id": "92cd16fe8ebc4f73832513a172bf0000"
}
1.30 - Set Volume Group Replication Cycle
1.30.1 - 1.2
put /v1/volume-groups/{volume_group_id}/replications/cycle
Description
Set Volume Group Replication Cycle.
State
ACTIVE (CURRENT)
| Version | Supported Until |
|---|
| 1.2 | - |
Parameters
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications/cycle
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Request body
Example HTTP response
Response 200
{
"cycle": "5MIN",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.30.2 - 1.1
put /v1/volume-groups/{volume_group_id}/replications/cycle
Description
Set Volume Group Replication Cycle.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.1 | 20260331 |
Parameters
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications/cycle
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.1"
Request body
Example HTTP response
Response 200
{
"cycle": "5MIN",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.30.3 - 1.0
put /v1/volume-groups/{volume_group_id}/replications/cycle
Description
Set Volume Group Replication Cycle.
State
ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|
| 1.0 | 20251231 |
Parameters
Responses
Example HTTP request
Request path
/v1/volume-groups/{volume_group_id}/replications/cycle
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal-blockstorage 1.0"
Request body
Example HTTP response
Response 200
{
"cycle": "5MIN",
"volume_group_id": "c9ecae8b973b425c81c3817893cd8063"
}
1.31 - Set Volume Group Replication Policy
1.31.1 - 1.2
put /v1/volume-groups/{volume_group_id}/replications/policy
Description
[...]
